"use strict";
var core_1 = require('@angular/core');
var helpers_1 = require('../helpers/helpers');
var FilterByPipe = (function () {
    function FilterByPipe() {
    }
    FilterByPipe.prototype.transform = function (input, props, search, strict) {
        if (strict === void 0) { strict = false; }
        if (!Array.isArray(input) || (!helpers_1.isString(search) && !helpers_1.isNumberFinite(search))) {
            return input;
        }
        var term = String(search).toLowerCase();
        return input.filter(function (obj) {
            return props.some(function (prop) {
                var value = String(helpers_1.extractDeepPropertyByMapKey(obj, prop)).toLowerCase();
                return strict
                    ? term === value
                    : !!~value.indexOf(term);
            });
        });
    };
    FilterByPipe.decorators = [
        { type: core_1.Pipe, args: [{ name: 'filterBy' },] },
    ];
    /** @nocollapse */
    FilterByPipe.ctorParameters = function () { return []; };
    return FilterByPipe;
}());
exports.FilterByPipe = FilterByPipe;
//# sourceMappingURL=filter-by.js.map