"use strict";
var core_1 = require('@angular/core');
var helpers_1 = require('../helpers/helpers');
var BytesPipe = (function () {
    function BytesPipe() {
        this.dictionary = [
            { max: 1e3, type: 'B' },
            { max: 1e6, type: 'KB' },
            { max: 1e9, type: 'MB' },
            { max: 1e12, type: 'GB' }
        ];
    }
    BytesPipe.prototype.transform = function (value) {
        if (!helpers_1.isNumberFinite(value)) {
            return NaN;
        }
        var format = this.dictionary.find(function (d) { return value < d.max; }) || this.dictionary[this.dictionary.length - 1];
        var num = value / (format.max / 1e3);
        return num + " " + format.type;
    };
    BytesPipe.decorators = [
        { type: core_1.Pipe, args: [{ name: 'bytes' },] },
    ];
    /** @nocollapse */
    BytesPipe.ctorParameters = function () { return []; };
    return BytesPipe;
}());
exports.BytesPipe = BytesPipe;
//# sourceMappingURL=bytes.js.map