"use strict";
var core_1 = require('@angular/core');
var helpers_1 = require('../helpers/helpers');
var CamelizePipe = (function () {
    function CamelizePipe() {
    }
    CamelizePipe.prototype.transform = function (text, chars) {
        if (chars === void 0) { chars = '\\s'; }
        if (!helpers_1.isString(text)) {
            return text;
        }
        return text.toLowerCase()
            .split(/[-_\s]/g)
            .filter(function (v) { return !!v; }).map(function (word, key) {
            return !key ? word : (word.slice(0, 1).toUpperCase() + word.slice(1));
        }).join('');
    };
    CamelizePipe.decorators = [
        { type: core_1.Pipe, args: [{ name: 'camelize' },] },
    ];
    /** @nocollapse */
    CamelizePipe.ctorParameters = function () { return []; };
    return CamelizePipe;
}());
exports.CamelizePipe = CamelizePipe;
//# sourceMappingURL=camelize.js.map