"use strict";
var core_1 = require('@angular/core');
var helpers_1 = require('../helpers/helpers');
var ShortenPipe = (function () {
    function ShortenPipe() {
    }
    ShortenPipe.prototype.transform = function (text, length, suffix, wordBreak) {
        if (length === void 0) { length = 0; }
        if (suffix === void 0) { suffix = ''; }
        if (wordBreak === void 0) { wordBreak = true; }
        if (!helpers_1.isString(text)) {
            return text;
        }
        if (text.length > length) {
            if (wordBreak) {
                return text.slice(0, length) + suffix;
            }
            if (!!~text.indexOf(' ', length)) {
                return text.slice(0, text.indexOf(' ', length)) + suffix;
            }
        }
        return text;
    };
    ShortenPipe.decorators = [
        { type: core_1.Pipe, args: [{ name: 'shorten' },] },
    ];
    /** @nocollapse */
    ShortenPipe.ctorParameters = function () { return []; };
    return ShortenPipe;
}());
exports.ShortenPipe = ShortenPipe;
//# sourceMappingURL=shorten.js.map